#ifndef ABOUT_H
#define ABOUT_H

#include <QtGui/QDialog>

#ifdef USE_WEBKIT
class QWebView;
#else
class QTextEdit;
#endif

namespace Ui {
    class About;
}

class About : public QDialog {
    Q_OBJECT
public:
    About(QWidget *parent = 0);
    ~About();

protected:
    void changeEvent(QEvent *e);
	void loadPages();
	void hideEvent(QHideEvent *e);

private:
    Ui::About *m_ui;
#ifdef USE_WEBKIT
	QWebView *about;
	QWebView *license;
	QWebView *credits;
#else
	QTextEdit *about;
	QTextEdit *license;
	QTextEdit *credits;
#endif

private:
	static About *pInstance;
public:
	static About *instance();
	static void deleteInstance();
};

#endif // ABOUT_H
